[PACKAGE]: ../../raw/master/mkp/checkpoint_l2l_vpn-0.2.1-20231028.mkp "checkpoint_l2l_vpn-0.2.1-20231028.mkp"
# Check Point L2L VPN

Monitors status of Check Point L2L VPN tunnel

---
### Check Info

* *service*: this check will create one service per L2L VPN tunnel 

* *state*:\
    **critical**
    * if L2L VPN tunnel state is *down*
    * if L2L VPN tunnel probe state is *dead*

    **warning**
    * if L2L VPN tunnel state is *unknown*

* *wato*: 
    * you can configure an L2L VPN tunnel alias name
    * you can configure the state of a L2L VPN tunnel, if the tunnel not found (globaly or per tunnel)

* *perfdata*: none

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, alway check the [CHANGELOG](CHANGELOG). There migth be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO options

![WATO options](img/wato.png?raw=true "WATO options")
